Skip to main content
GET
/
v1
/
entities
/
{entityId}
/
readings
/
last
Retrieve the last Reading
curl --request GET \
  --url https://api.traxes.io/connect/v1/entities/{entityId}/readings/last \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "activeUserReference": "<string>",
    "isCharging": true,
    "isPluggedIn": true,
    "location": {
      "address": "<string>",
      "latitude": 123,
      "longitude": 123
    },
    "locationMatches": [
      {
        "accuracy": 123,
        "location": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "label": "<string>"
        }
      }
    ]
  },
  "entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "measured": "2023-11-07T05:31:56Z",
  "processed": "2023-11-07T05:31:56Z",
  "received": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Access Token Authentication

Path Parameters

entityId
string<uuid>
required

The id of the Entity

Response

OK

A reading.

data
object

The data of a reading.

entityId
string<uuid>

The id of the Entity

id
string<uuid>

The id of the reading.

measured
string<date-time>

The timestamp of the reading.

processed
string<date-time> | null

The timestamp the reading was processed.

received
string<date-time> | null

The timestamp the reading was received.